﻿using Infragistics.Web.Mvc;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;

namespace igGridStoreUserSettings.Controllers
{
    public class HomeController : Controller
    {
		static SampleData.DataUtil data = new SampleData.DataUtil();

        //
        // GET: /Home/

        public ActionResult Index()
        {
			GridModel gridModel = new GridModel();
			gridModel.ID = "grid1";
			gridModel.AutoGenerateColumns = false;

			gridModel.PrimaryKey = "CategoryID";
			gridModel.Width = "800px";
			gridModel.Columns.Add(new GridColumn() { HeaderText = "CategoryID", Key = "CategoryID", DataType = "number", Width = "0%", Hidden = true });
			gridModel.Columns.Add(new GridColumn() { HeaderText = "CategoryName", Key = "CategoryName", DataType = "string", Width = "40%" });
			gridModel.Columns.Add(new GridColumn() { HeaderText = "Description", Key = "Description", DataType = "string", Width = "60%" });

			gridModel.DataSource = data.Categories.AsQueryable();

			//	Add Features
			GridSorting sorting = new GridSorting();
			sorting.Type = OpType.Local;
			sorting.Mode = SortingMode.Single;
			sorting.AddClientEvent("columnSorted", "columnSortedHandler");
			//	If saving settings on the server, apply user sorting settings based on the saved server information here.
			gridModel.Features.Add(sorting);

			GridFiltering filtering = new GridFiltering();
			filtering.Type = OpType.Local;
			filtering.AddClientEvent("dataFiltered", "dataFilteredHandler");
			//	If saving settings on the server, apply user filtering settings based on the saved server information here.
			gridModel.Features.Add(filtering);

			GridPaging paging = new GridPaging();
			paging.Type = OpType.Local;
			paging.PageSize = 5;
			paging.AddClientEvent("pageIndexChanged", "pageIndexChangedHandler");
			//	If saving settings on the server, apply user paging settings based on the saved server information here.
			gridModel.Features.Add(paging);

			return View(gridModel);
        }

    }
}
